ubuntu/+source/zlib:ubuntu/warty-security

Last commit made on 2005-12-20
Get this branch:
git clone -b ubuntu/warty-security https://git.launchpad.net/ubuntu/+source/zlib
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/warty-security
Repository:
lp:ubuntu/+source/zlib

Recent commits

c9df729... by Martin Pitt on 2005-07-21

Import patches-unapplied version 1:1.2.1.1-3ubuntu1.2 to ubuntu/warty-security

Imported using git-ubuntu import.

Changelog parent: 92e7fe5df1e5ef3f5d0adc04150da07ae74ba347

New changelog entries:
  * SECURITY UPDATE: Fix another buffer overflow on invalid data streams.
  * Add debian/patches/020_CAN-2005-1849:
    - inftrees.h: Raise ENOUGH and MAXD to be big enough.
    - Patch from zlib upstream author.
    - CAN-2005-1849
  * SECURITY UPDATE: Fix buffer overflow on invalid data streams.
  * Add debian/patches/019_CAN-2005-2096.patch:
    - Permit incomplete codes only if they consist of a single code of length
      1, as described in the spec. Longer codes overflowed various buffers.
    - Patch from zlib upstream author.
    - CAN-2005-2096

92e7fe5... by Matt Zimmerman on 2004-09-10

Import patches-unapplied version 1:1.2.1.1-3ubuntu1 to ubuntu/warty

Imported using git-ubuntu import.